<template>
  <div>
    <Navbar/>
        <v-layout pl-2 id="1" wrap style="background-color:;height:100px">
         <h2><font SIZE=7>การอบรม</font></h2>
           &nbsp;&nbsp; <v-progress-linear color="black"/>
         </v-layout>

        <v-layout  pl-10 id="1" wrap style="background-color:;height:70px">
        <v-flex xs7 style="">
        <h1><font SIZE=5>{{data_s.title}}  :  {{data_s.detail}}</font></h1></v-flex><br><br>

        <v-flex>
        <div class="videoWrapper">
<!-- {{datastest[0].path_vdo}} -->
        <iframe width="800" height="640" :src="data_s.path_vdo" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
       </div>
       </v-flex>

       </v-layout>
   <v-flex xs12 offset-xs8>
  <v-card class="" height="500" width="620"
          :elevation="5"
          color="">
    <v-card-text class="text-center"> <h1>Video</h1></v-card-text>
     <div>
      <v-container
        id="scroll-target"
        style="max-height: 400px"
        class="overflow-y-auto"
      >
        <v-row
          v-scroll:#scroll-target="onScroll"
          align="center"
          justify="center"
          style="height: 400px"
        >
        <v-item-group>
    <v-container>
      <v-row>
        <v-col
          v-for="index in datastest"
          :key="index"
          cols="12"
        >
         <p>{{index.title}}</p>
          <p>{{index.path_vdo}}</p>
          <div v-if="index.course_id==data_s.id">
            <v-card
              class="mx-auto"
              color="green lighten-3"
              max-width="450"
            >
              <v-card-text
                class="pt-1"
              >
              <p>{{index.title}}</p>
              <p>{{index.path_vdo}}</p>
                <!-- <div class="font-weight-light title mb-2"> -->
                  <!-- {{index.detail}} -->
                <!-- </div> -->
              <v-btn  href="trainvdo" flat color="green" class="" dark @click="sheet = !sheet"> Click </v-btn>
              </v-card-text>
            </v-card>
          </div>
        </v-col>
       </v-row>
     </v-container>
   </v-item-group>
        </v-row>
      </v-container>
    </div>
  </v-card>
</v-flex>
 </div>
</template>
<script>
import Navbar from '@/components/yuth/navbar_page.vue'
export default {
  components: {
    Navbar
  },
  data () {
    return {
      datastest: [],
      test2: process.env.VUE_APP_API,
      offsetTop: 0
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async getData () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/course_vdo')
        console.log('aoy', response.data.data)
        this.datastest = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    },
    onScroll (e) {
      this.offsetTop = e.target.scrollTop
    },
    sentid (id) {

    }
  },
  computed: {
    data_s: {
      get () {
        return this.$store.getters.train
      }
    }
  }
}
</script>
<style scoped>
h2
 {color: rgb(82, 75, 75); text-shadow: gray 0.1em 0.1em 0.1em}
</style>
